diff -ru relaxngDatatype-1.0/build.xml relaxngDatatype-1.0-patched/build.xml
--- relaxngDatatype-1.0/build.xml	2001-11-27 19:20:34.000000000 -0500
+++ relaxngDatatype-1.0-patched/build.xml	2005-06-25 23:05:35.000000000 -0400
@@ -1,12 +1,10 @@
 <?xml version="1.0"?>
 
-<project name="relaxng" basedir="." default="release">
+<project name="relaxng" basedir="." default="dist">
 	<property name="version" value="1.0"/>
 	
-	<target name="release">
-		<tstamp/>
-		
 		<!-- compile Java source files -->
+	<target name="compile">
 		<mkdir dir="bin"/>
 		<javac
 			srcdir="src"
@@ -14,7 +12,9 @@
 			debug="off"
 			optimize="on"
 			/>
+	</target>
 		
+	<target name="jar" depends="compile">
 		<!-- create manifest file -->
 		<echo file="MANIFEST.MF">Manifest-Version: 1.0
 
@@ -24,25 +24,28 @@
 Implementation-Vendor: relaxng.sourceforge.net</echo>
 		
 		<!-- standard archive -->
-		<delete file="relaxngDatatype.jar"/>
 		<jar	jarfile="relaxngDatatype.jar"
 				compress="false"
 				manifest="MANIFEST.MF">
 			<fileset dir="bin" includes="**/*.class" />
 		</jar>
+	</target>
 		
 		<!-- generate javadoc documentation -->
+	<target name="javadoc">
 		<mkdir dir="doc"/>
 		<javadoc	locale="en_US"
 					packagenames="org.relaxng.datatype.*"
 					sourcepath="src"
-					destdir="doc"
+					destdir="doc/api"
 					windowtitle="RELAX NG Datatype Interface"
 					public="yes"
 					author="yes"
 					>
 		</javadoc>
+	</target>
 		
+	<target name="dist" depends="jar,javadoc">
 		<!-- creates distribution package -->
 		<zip	zipfile="relaxngDatatype-${version}.zip">
 			<zipfileset dir="." prefix="relaxngDatatype-${version}"
@@ -59,4 +62,11 @@
 				includes="relaxngDatatype.jar" />
 		</zip>
 	</target>
+
+	<target name="clean">
+		<delete file="relaxngDatatype-${version}.zip"/>
+		<delete dir="doc/api"/>
+		<delete dir="bin"/>
+		<delete file="relaxngDatatype.jar"/>
+	</target>
 </project>
